Bug 1566354 - Port Requirements section is vague
Summary: Port Requirements section is vague
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Linux_Domain_Identity_Management_Guide
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Filip Hanzelka
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On: 1400618 1542988
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 07:06 UTC by Stephen Wadeley
Modified: 2019-03-06 01:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-22 19:08:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stephen Wadeley 2018-04-12 07:06:48 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/installing-ipa#prereq-ports

Section Number and Name: 

2.1.4. Port Requirements

Describe the issue: 

The Port Requirements section of the Linux Domain Identity, Authentication, and Policy Guide has the list of ports used, but it does not explicitly say the ports are for incoming connections to the IdM server.

This is vague "IdM uses a number of ports to communicate with its services. These ports must be open and available for IdM to work." It should state clearly where and in what direction the ports must be open.

Under "Opening the Required Ports" there are instructions on opening the ports in the host-based firewall. If the reader follows those then everything should work. However, it does not mention network-based firewalls. These must also be open and in that case its important to state if the traffic is bi-directional as not everyone is using stateful firewalls.

Suggestions for improvement: 

Take a look at the Satellite Installation guide for some ideas on how to present port information and firewall commands.

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html/installation_guide/preparing_your_environment_for_installation#ports_prerequisites

Additional information: 
https://access.redhat.com/discussions/3409201


Note You need to log in before you can comment on or make changes to this bug.